<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../objects/stock_in.php';

$database = new Database();
$db = $database->getConnection();
 
$stock_in = new StockIn($db);
$data = json_decode(file_get_contents("php://input"));
$stock_in->stock_in_date = $data->stock_in_date;
$stock_in->store = $data->city;
$stmt = $stock_in->getAllRows();

$num = $stmt->rowCount();
$arr=array();
$arr["records"]=array();
$total = 0;
if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $stock_in_d=array(
            "id" => (int)$id,
            "stock_in_date" => $stock_in_date,
            "store" => $store,
            "supplier" => $supplier,
            "item_code" => $item_code,
            "item_name" => $item_name,
            "store" => $store,
            "remark" => ($remark)?$remark:"",
            "quantity" => (int)$quantity,
            "price" => number_format($price),
            "amount" => number_format($quantity*$price)
        );
        $total += $quantity*$price ;
        array_push($arr["records"], $stock_in_d);
    }   
    $arr["total"] = number_format($total);
}
echo json_encode($arr);
?>